package com.phlx.anchorcollect.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * 种畜管理_性能测定表
 */
@Entity
public class PerformanceEntity extends BaseObservable implements Parcelable {

    /**
     * unid
     */
    @Id(autoincrement = false)
    private String unid;

    /**
     * 基本信息ID
     */
    private String cattleresumeId;

    /**
     * 年龄
     */
    private String age;

    /**
     * 测量日期
     */
    private String measureDate;

    /**
     * 体高(cm)
     */
    private String height;

    /**
     * 体长(cm)
     */
    private String length;

    /**
     * 胸围(cm)
     */
    private String bust;

    /**
     * 体重
     */
    private String weight;

    /**
     * 胸宽(cm)
     */
    private String chestWidth;

    /**
     * 胸深(cm)
     */
    private String chestDeep;

    /**
     * 腰角宽(cm)
     */
    private String waistWidth;

    /**
     * 十字部宽(cm)
     */
    private String crossWidth;

    /**
     * 管维(cm)
     */
    private String guanWei;

    /**
     * 眼肌面积
     */
    private String eyeMuscleArea;

    /**
     * 等级
     */
    private String grade;

    /**
     * 羊毛长度(cm)
     */
    private String hairLength;

    /**
     * 羊毛细度(微米)
     */
    private String hairFineness;

    /**
     * 剪毛量(kg)
     */
    private String shearing;

    /**
     * 背腰宽
     */
    private String backWidth;

    /**
     * 繁殖成绩
     */
    private String breedRes;

    /**
     * 健康状况
     */
    private String health;

    /**
     * 免疫情况
     */
    private String immune;

    /** 是否上传 0未上传，1已上传 */
    private String uploadStatus;

    /**
     * 部门id
     */
    private String deptId;

    /** 搜索值 */
    private String searchValue;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private String createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private String updateTime;

    /** 备注 */
    private String remark;

    public PerformanceEntity() {
    }

    protected PerformanceEntity(Parcel in) {
        unid = in.readString();
        cattleresumeId = in.readString();
        age = in.readString();
        measureDate = in.readString();
        height = in.readString();
        length = in.readString();
        bust = in.readString();
        weight = in.readString();
        chestWidth = in.readString();
        chestDeep = in.readString();
        waistWidth = in.readString();
        crossWidth = in.readString();
        guanWei = in.readString();
        eyeMuscleArea = in.readString();
        grade = in.readString();
        hairLength = in.readString();
        hairFineness = in.readString();
        shearing = in.readString();
        backWidth = in.readString();
        breedRes = in.readString();
        health = in.readString();
        immune = in.readString();
        uploadStatus = in.readString();
        deptId = in.readString();
        searchValue = in.readString();
        createBy = in.readString();
        createTime = in.readString();
        updateBy = in.readString();
        updateTime = in.readString();
        remark = in.readString();
    }

    @Generated(hash = 1092205671)
    public PerformanceEntity(String unid, String cattleresumeId, String age, String measureDate,
            String height, String length, String bust, String weight, String chestWidth,
            String chestDeep, String waistWidth, String crossWidth, String guanWei,
            String eyeMuscleArea, String grade, String hairLength, String hairFineness, String shearing,
            String backWidth, String breedRes, String health, String immune, String uploadStatus,
            String deptId, String searchValue, String createBy, String createTime, String updateBy,
            String updateTime, String remark) {
        this.unid = unid;
        this.cattleresumeId = cattleresumeId;
        this.age = age;
        this.measureDate = measureDate;
        this.height = height;
        this.length = length;
        this.bust = bust;
        this.weight = weight;
        this.chestWidth = chestWidth;
        this.chestDeep = chestDeep;
        this.waistWidth = waistWidth;
        this.crossWidth = crossWidth;
        this.guanWei = guanWei;
        this.eyeMuscleArea = eyeMuscleArea;
        this.grade = grade;
        this.hairLength = hairLength;
        this.hairFineness = hairFineness;
        this.shearing = shearing;
        this.backWidth = backWidth;
        this.breedRes = breedRes;
        this.health = health;
        this.immune = immune;
        this.uploadStatus = uploadStatus;
        this.deptId = deptId;
        this.searchValue = searchValue;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.remark = remark;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(unid);
        dest.writeString(cattleresumeId);
        dest.writeString(age);
        dest.writeString(measureDate);
        dest.writeString(height);
        dest.writeString(length);
        dest.writeString(bust);
        dest.writeString(weight);
        dest.writeString(chestWidth);
        dest.writeString(chestDeep);
        dest.writeString(waistWidth);
        dest.writeString(crossWidth);
        dest.writeString(guanWei);
        dest.writeString(eyeMuscleArea);
        dest.writeString(grade);
        dest.writeString(hairLength);
        dest.writeString(hairFineness);
        dest.writeString(shearing);
        dest.writeString(backWidth);
        dest.writeString(breedRes);
        dest.writeString(health);
        dest.writeString(immune);
        dest.writeString(uploadStatus);
        dest.writeString(deptId);
        dest.writeString(searchValue);
        dest.writeString(createBy);
        dest.writeString(createTime);
        dest.writeString(updateBy);
        dest.writeString(updateTime);
        dest.writeString(remark);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<PerformanceEntity> CREATOR = new Creator<PerformanceEntity>() {
        @Override
        public PerformanceEntity createFromParcel(Parcel in) {
            return new PerformanceEntity(in);
        }

        @Override
        public PerformanceEntity[] newArray(int size) {
            return new PerformanceEntity[size];
        }
    };

    public String getUnid() {
        return unid;
    }

    public void setUnid(String unid) {
        this.unid = unid;
    }

    public String getCattleresumeId() {
        return cattleresumeId;
    }

    public void setCattleresumeId(String cattleresumeId) {
        this.cattleresumeId = cattleresumeId;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getMeasureDate() {
        return measureDate;
    }

    public void setMeasureDate(String measureDate) {
        this.measureDate = measureDate;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getBust() {
        return bust;
    }

    public void setBust(String bust) {
        this.bust = bust;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getChestWidth() {
        return chestWidth;
    }

    public void setChestWidth(String chestWidth) {
        this.chestWidth = chestWidth;
    }

    public String getChestDeep() {
        return chestDeep;
    }

    public void setChestDeep(String chestDeep) {
        this.chestDeep = chestDeep;
    }

    public String getWaistWidth() {
        return waistWidth;
    }

    public void setWaistWidth(String waistWidth) {
        this.waistWidth = waistWidth;
    }

    public String getCrossWidth() {
        return crossWidth;
    }

    public void setCrossWidth(String crossWidth) {
        this.crossWidth = crossWidth;
    }

    public String getGuanWei() {
        return guanWei;
    }

    public void setGuanWei(String guanWei) {
        this.guanWei = guanWei;
    }

    public String getEyeMuscleArea() {
        return eyeMuscleArea;
    }

    public void setEyeMuscleArea(String eyeMuscleArea) {
        this.eyeMuscleArea = eyeMuscleArea;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getHairLength() {
        return hairLength;
    }

    public void setHairLength(String hairLength) {
        this.hairLength = hairLength;
    }

    public String getHairFineness() {
        return hairFineness;
    }

    public void setHairFineness(String hairFineness) {
        this.hairFineness = hairFineness;
    }

    public String getShearing() {
        return shearing;
    }

    public void setShearing(String shearing) {
        this.shearing = shearing;
    }

    public String getBackWidth() {
        return backWidth;
    }

    public void setBackWidth(String backWidth) {
        this.backWidth = backWidth;
    }

    public String getBreedRes() {
        return breedRes;
    }

    public void setBreedRes(String breedRes) {
        this.breedRes = breedRes;
    }

    public String getHealth() {
        return health;
    }

    public void setHealth(String health) {
        this.health = health;
    }

    public String getImmune() {
        return immune;
    }

    public void setImmune(String immune) {
        this.immune = immune;
    }

    public String getUploadStatus() {
        return uploadStatus;
    }

    public void setUploadStatus(String uploadStatus) {
        this.uploadStatus = uploadStatus;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "PerformanceEntity{" +
                "unid='" + unid + '\'' +
                ", cattleresumeId='" + cattleresumeId + '\'' +
                ", age='" + age + '\'' +
                ", measureDate='" + measureDate + '\'' +
                ", height='" + height + '\'' +
                ", length='" + length + '\'' +
                ", bust='" + bust + '\'' +
                ", weight='" + weight + '\'' +
                ", chestWidth='" + chestWidth + '\'' +
                ", chestDeep='" + chestDeep + '\'' +
                ", waistWidth='" + waistWidth + '\'' +
                ", crossWidth='" + crossWidth + '\'' +
                ", guanWei='" + guanWei + '\'' +
                ", eyeMuscleArea='" + eyeMuscleArea + '\'' +
                ", grade='" + grade + '\'' +
                ", hairLength='" + hairLength + '\'' +
                ", hairFineness='" + hairFineness + '\'' +
                ", shearing='" + shearing + '\'' +
                ", backWidth='" + backWidth + '\'' +
                ", breedRes='" + breedRes + '\'' +
                ", health='" + health + '\'' +
                ", immune='" + immune + '\'' +
                ", uploadStatus='" + uploadStatus + '\'' +
                ", deptId='" + deptId + '\'' +
                ", searchValue='" + searchValue + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
